<?php

namespace App\Classes\Modules\Banks\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class BankMetadataObject implements DataTransferObject
{

    /** @var int  */
    private $transaction_id;

    /**
     * BankMetadataObject constructor.
     * @param int $transaction_id
     */
    public function __construct(int $transaction_id)
    {
        $this->transaction_id = $transaction_id;
    }

    /**
     * @return int
     */
    public function getTransactionId(): int
    {
        return $this->transaction_id;
    }
}
